Last modified: 2013-04-22 16:17:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42167 - PHP Fatal error: Call to a member function read() on a non-object in Skin.php
PHP Fatal error: Call to a member function read() on a non-object in Skin.php
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.21.x
All All
: High critical (vote)
: 1.21.0 release
Assigned To: Umherirrender
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-11-15 22:00 UTC by Sam Reed (reedy)
Modified: 2013-04-22 16:17 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2012-11-15 22:00:10 UTC
Fatal error:  Call to a member function read() on a non-object in /usr/local/apache/common-local/php-1.21wmf4/includes/Skin.php on line 60
Comment 1 Platonides 2013-03-07 15:00:10 UTC
There's not much we could do if $wgStyleDirectory does not exist or is not readable (those seem the cases for dir() to return false or null)
Comment 2 Umherirrender 2013-03-27 07:16:07 UTC
commited Gerrit change #56109
Comment 3 Umherirrender 2013-03-27 08:19:44 UTC
successfully merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links